#ifndef SWIFT_DATA_POW2_H
#define SWIFT_DATA_POW2_H

#include <swift/stdlib.h>

#include <swift/data/api.h>

SWIFT_DATA_API bool swift_is_pow2_size(size_t x);
SWIFT_DATA_API size_t swift_ceil_pow2_size(size_t x);
SWIFT_DATA_API size_t swift_floor_pow2_size(size_t x);
SWIFT_DATA_API size_t swift_next_pow2_size(size_t x);
SWIFT_DATA_API size_t swift_prev_pow2_size(size_t x);

#endif /* SWIFT_DATA_POW2_H */
